Package com.opensymphony.module.sitemesh.html

# Interface TextFilter

All Known Implementing Classes:
  `RegexReplacementTextFilter`

public interface TextFilter
TextFilters can be added to the HTMLProcessor (or specific States) and allow a simple means of filtering text content.

More than one TextFilter may be added to each HTMLProcessor/State and they will be called in the order they were added.

Author:
  Joe Walnes
See Also:
  - `HTMLProcessor`
  - `State`
  - `RegexReplacementTextFilter`

## Method Summary

Modifier and Type
Method
Description
`String`
`filter(String content)`

## Method Details

### filter

String filter(String content)